快乐着飞舞着

---Nothing to do is doing nothing
随笔 - 93, 文章 - 5, 评论 - 56, 引用 - 0
数据加载中……

Eclipse xml编辑器冲突的问题 [原创]

在eclipse 中加载了很多插件,发现图形化的xml 编辑插件在打开图形化窗口式总是有如下的错误:


QUOTE:
 Unsupported content type in editor. To associate file extension with a supported content type, please see .....

一直以为是插件版本和eclipse版本不配套所导致,今天偶然看到下面一片文章
http://www.eclipsezone.com/eclipse/forums/t72490.html


QUOTE:
 

Re: How do I work around "Unsupported Content Type" error for HTML

Ian Leslie wrote:
> I just downloaded the web tools plug-ins (Web Standard Tools and J2EE
> Standard Tools). I created my first web site (a static web site
> project) and tried to create and edit an XHTML file. I received an
> "Unsupported content type in editor..." error when I tried to open it
> with the "HTML Editor". I have XML Buddy installed and it opened it by
> default.
>
> I have read the thread:
> http://dev.eclipse.org/newslists/news.eclipse.webtools/msg08746.html
>
> But it does not say how to work around the problem (other than removing
> XML Buddy) XML Buddy has been my XML editor for a while and I would
> like to continue to use it for XML editing. What can I do?

XMLBuddy claims to have worked around the problem for themselves
with their 2.0.66/2.0.67 versions, but for now the only solution to
allow WTP's editors to work is to uninstall/disable XMLBuddy.

--
- Nitin



恍然大悟 原来是 XMLBuddy 搞得鬼, xmlbuddy 的xml编辑器和 WTP 的编辑器冲突,禁用 xmlbuddy 重启eclipse 果然问题解决。

希望对碰到相同问题的朋友有帮助~~

posted on 2006-08-31 22:07 快乐着飞舞着 阅读(3726) 评论(3)  编辑 收藏 引用 所属分类: Others

评论

# re: Eclipse xml编辑器冲突的问题 [原创]  回复  更多评论   

谢谢您!
按照你说的搞定了
2007-11-20 13:04 | 付国军

# re: Eclipse xml编辑器冲突的问题 [原创]  回复  更多评论   

@付国军
擦,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy ,怎么禁用 xmlbuddy
2015-01-23 13:07 | aaa

# re: Eclipse xml编辑器冲突的问题 [原创]  回复  更多评论   

我也没找到禁用 xmlbuddy方法,但是可以这样简单解决:
在plugin.xml或者feature.xml上点右键,选择Open With,再选择Plug-in Manifest Editor或者Feature Manifest Editor打开即可。非常好用。
2016-08-09 15:00 | lovenets
只有注册用户登录后才能发表评论。

Clicky